Bug 55739 - locale info needs to be linked to elsewhere
locale info needs to be linked to elsewhere
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
http://www.arayan.com/da/linux.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 16:28 EST by deniz
Modified: 2016-11-24 10:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 05:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description deniz 2001-11-05 16:28:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
cd /usr/lib/locale
ln -s tr_TR tr_TR.ISO8859-9
ln -s tr_TR.utf8 tr_TR.UTF8

Otherwise, keyboard and several other programs are not able to find turkish
locale correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install the system, try to use keyboard and/or other Turkish specific setups.
2.
3.
	

Actual Results:  Locale information is not found -- so for example the
keyboard I submitted in an earlier bug report will not work correctly. 

Expected Results:  locale tr_TR and tr_TR.utf8 should have been sufficient.

Additional info:

http://www.arayan.com/da/linux.html to get details of Redhat 7.2 Turkish
problems and solutions.
Comment 1 Jakub Jelinek 2001-11-06 04:27:44 EST
This is not a solution, it is a workaround.
What exact programs don't work properly without this hack?
Have you tried stracing them to see what they actually do?
glibc locale functions are perfectly able to find, try:
LC_ALL=tr_TR.ISO8859-9 locale -c LC_CTYPE -k
LC_ALL=tr_TR locale -c LC_CTYPE -k
LC_ALL=tr_TR.UTF-8 locale -c LC_CTYPE -k
LC_ALL=tr_TR.UTF8 locale -c LC_CTYPE -k
Comment 2 Ulrich Drepper 2003-10-03 05:34:22 EDT
No reply in almost two years.  Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.